Bug 161035

Summary: [ieee80211] Incorrect number describing 11ng MCS rate in ifconfig -v?
Product: Base System Reporter: Maciej Milewski <milu>
Component: wirelessAssignee: Andriy Voskoboinyk <avos>
Status: Closed FIXED    
Severity: Affects Only Me CC: avos
Priority: Normal Flags: avos: mfc-stable10+
avos: mfc-stable11+
avos: mfc-stable12+
Version: 9.0-BETA2   
Hardware: Any   
OS: Any   

Description Maciej Milewski 2011-09-26 16:20:09 UTC
Running ifconfig -v wlan1 makes:
        sturbo  ucast NONE    mgmt  6 Mb/s mcast  6 Mb/s maxretry 6
        11na    ucast NONE    mgmt 12 MCS  mcast 12 MCS  maxretry 6
        11ng    ucast NONE    mgmt  2 MCS  mcast  2 MCS  maxretry 6

I think that it's incorrect. 12MCS needs 2 spatial stream and what is with cards which support only one?

Something in this subject is mentioned in line 1608 sys/net80211/ieee80211.c
   1608 >.......>......./* NB: 12 is ambiguous, it will be treated as an MCS */
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-10-10 05:45:21 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-wireless

Over to maintainer(s).
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:42:57 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 3 commit-hook freebsd_committer 2019-02-03 03:04:06 UTC
A commit references this bug:

Author: avos
Date: Sun Feb  3 03:03:00 UTC 2019
New revision: 343698
URL: https://svnweb.freebsd.org/changeset/base/343698

Log:
  ifconfig(8): display management / multicast wlan(4) rates properly

  For 11n / 11ac we are still using non-11n rates for management and
  multicast traffic by default; check 'MCS rate' bit to determine how
  to print them correctly.

  PR:		161035
  MFC after:	1 week

Changes:
  head/sbin/ifconfig/ifieee80211.c
Comment 4 commit-hook freebsd_committer 2019-02-10 20:43:05 UTC
A commit references this bug:

Author: avos
Date: Sun Feb 10 20:42:07 UTC 2019
New revision: 343974
URL: https://svnweb.freebsd.org/changeset/base/343974

Log:
  MFC r343698, r343700:
  ifconfig(8): display management / multicast wlan(4) rates properly

  For 11n / 11ac we are still using non-11n rates for management and
  multicast traffic by default; check 'MCS rate' bit to determine how
  to print them correctly.

  PR:		161035

Changes:
_U  stable/10/
  stable/10/sbin/ifconfig/ifieee80211.c
_U  stable/11/
  stable/11/sbin/ifconfig/ifieee80211.c
_U  stable/12/
  stable/12/sbin/ifconfig/ifieee80211.c